This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Data Flow

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Data Flow service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until

OpenAPI URL

https://data-flow.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CheckClusterResourceSizeForDataFlowServiceCreate

1.1.1 - 1.1

post /v1/data-flow-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Flow Service Creation.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataFlowServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.1.2 - 1.0

post /v1/data-flow-services/clusters/{cluster_id}/validate-resources

Description

Validate Cluster Resource Size for Data Flow Service Creation.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

DataFlowServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/clusters/{cluster_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.2 - CheckClusterResourceSizeForDataFlowServiceUpdate

1.2.1 - 1.1

post /v1/data-flow-services/{data_flow_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Flow Service Update.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.2.2 - 1.0

post /v1/data-flow-services/{data_flow_service_id}/validate-resources

Description

Validate Cluster Resource Size for Data Flow Service Update.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServiceValidateResourceRequest

Responses

HTTP CodeDescriptionSchema
200OKClusterResourceCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}/validate-resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 200

{
    "cpu": "CPU",
    "err_code": "",
    "memory": "Memory",
    "result": ""
}

1.3 - CheckDataFlowNameDuplication

1.3.1 - 1.1

get /v1/data-flows/{data_flow_name}/check-duplication

Description

Check Duplication Data Flow Name. (false: no duplicate value, true: duplicate value)

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_name
required
Data flow name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowCheckDuplicationResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "result": ""
}

1.3.2 - 1.0

get /v1/data-flows/{data_flow_name}/check-duplication

Description

Check Duplication Data Flow Name. (false: no duplicate value, true: duplicate value)

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_name
required
Data flow name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowCheckDuplicationResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.4 - CheckDataFlowServiceNameDuplication

1.4.1 - 1.1

get /v1/data-flow-services/{data_flow_service_name}/check-duplication

Description

Check Duplication Data Flow Service Name. (false: no duplicate value, true: duplicate value)

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_name
required
Data flow service name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceCheckDuplicationResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "result": ""
}

1.4.2 - 1.0

get /v1/data-flow-services/{data_flow_service_name}/check-duplication

Description

Check Duplication Data Flow Service Name. (false: no duplicate value, true: duplicate value)

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_name
required
Data flow service name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceCheckDuplicationResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.5 - CreateDataFlow

1.5.1 - 1.1

post /v1/data-flows

Description

create data flow

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataFlowBodyCreate

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_flow_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

1.5.2 - 1.0

post /v1/data-flows

Description

create data flow

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataFlowBodyCreate

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_flow_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

1.6 - CreateDataFlowService

1.6.1 - 1.1

post /v1/data-flow-services

Description

Create dataflow service console

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataFlowServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_flow_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

1.6.2 - 1.0

post /v1/data-flow-services

Description

Create dataflow service console

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataFlowServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "data_flow_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    },
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

1.7 - DeleteDataFlow

1.7.1 - 1.1

delete /v1/data-flows/{data_flow_id}

Description

get data flow

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 202

1.7.2 - 1.0

delete /v1/data-flows/{data_flow_id}

Description

get data flow

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 202

1.8 - DeleteDataFlowService

1.8.1 - 1.1

delete /v1/data-flow-services/{data_flow_service_id}

Description

delete dataflow service console

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 202

1.8.2 - 1.0

delete /v1/data-flow-services/{data_flow_service_id}

Description

delete dataflow service console

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 202

1.9 - ListDataFlowImages

1.9.1 - 1.1

get /v1/data-flows/image-versions

Description

Get List of Data Flow Images.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKDataFlowImageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.9.2 - 1.0

get /v1/data-flows/image-versions

Description

Get List of Data Flow Images.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKDataFlowImageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.10 - ListDataFlowIngressControllers

1.10.1 - 1.1

get /v1/data-flows/clusters/{cluster_id}/ingress-controllers

Description

ingress by cluster id

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/clusters/{cluster_id}/ingress-controllers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

1.10.2 - 1.0

get /v1/data-flows/clusters/{cluster_id}/ingress-controllers

Description

ingress by cluster id

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathcluster_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/clusters/{cluster_id}/ingress-controllers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

1.11 - ListDataFlows

1.11.1 - 1.1

get /v1/data-flows

Description

get dataflow list console v1.1

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_flow_name
optional
data_flow_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataFlowsConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:24.896Z",
            "data_flow_id": "",
            "data_flow_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:24.896Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.11.2 - 1.0

get /v1/data-flows

Description

get dataflow list console

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycluster_name
optional
cluster_name
Example :
stringNone
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
queryversion
optional
version
Example :
stringNone
querysize
optional
size
Example : 20
integerNone
querypage
optional
page
Example : 0
integerNone
querycluster_id
optional
cluster_id
Example :
stringNone
querydata_flow_name
optional
data_flow_name
Example :
stringNone
queryregion
optional
region
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataFlowsConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:24.566Z",
            "data_flow_id": "",
            "data_flow_name": "",
            "image_id": "",
            "instance_id": "",
            "is_active_image": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:24.566Z",
            "namespace_name": "",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.12 - ListDataFlowService

1.12.1 - 1.1

get /v1/data-flow-services

Description

get dataflow service list console v1.1

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
querydata_flow_service_name
optional
data_flow_service_name
Example :
any of [string, null]None
querydata_flow_name
optional
data_flow_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataFlowServicesConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:24.719Z",
            "data_flow_id": "",
            "data_flow_name": "",
            "data_flow_service_id": "",
            "data_flow_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:24.720Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.12.2 - 1.0

get /v1/data-flow-services

Description

get dataflow service list console

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
querydata_flow_service_name
optional
data_flow_service_name
Example :
any of [string, null]None
querydata_flow_name
optional
data_flow_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataFlowServicesConsoleResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:24.400Z",
            "data_flow_id": "",
            "data_flow_name": "",
            "data_flow_service_id": "",
            "data_flow_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:24.400Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}

1.13 - ShowDataFlow

1.13.1 - 1.1

get /v1/data-flows/{data_flow_id}

Description

get data flow

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "count_data_flow_service": "",
    "created_dt": "2026-02-11T06:41:24.991Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:24.991Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.13.2 - 1.0

get /v1/data-flows/{data_flow_id}

Description

get data flow

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "count_data_flow_service": "",
    "created_dt": "2026-02-11T06:41:24.660Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:24.660Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.14 - ShowDataFlowService

1.14.1 - 1.1

get /v1/data-flow-services/{data_flow_service_id}

Description

GET dataflow service console v1.1

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "account_id": "",
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:24.818Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:24.818Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}

1.14.2 - 1.0

get /v1/data-flow-services/{data_flow_service_id}

Description

GET dataflow service console

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:24.492Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "is_active_image": "",
    "modified_dt": "2026-02-11T06:41:24.492Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}

1.15 - ShowDataFlowServiceSubVersions

1.15.1 - 1.1

get /v1/data-flow-services/data-flows/{data_flow_id}/sub-versions

Description

Get List of Data Flow Service Versions.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Data flow ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceImageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/data-flows/{data_flow_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "data_flow_service_count": "",
    "versions": {
        "nifi": "",
        "nifiregistry": "",
        "zookeeper": ""
    }
}

1.15.2 - 1.0

get /v1/data-flow-services/data-flows/{data_flow_id}/sub-versions

Description

Get List of Data Flow Service Versions.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Data flow ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceImageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/data-flows/{data_flow_id}/sub-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "data_flow_service_count": "",
    "versions": {
        "nifi": "",
        "nifiregistry": "",
        "zookeeper": ""
    }
}

1.16 - UpdateDataFlow

1.16.1 - 1.1

put /v1/data-flows/{data_flow_id}

Description

update data flow by flow id

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s
stringNone
bodybody
required

DataFlowBodyUpdate

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "count_data_flow_service": "",
    "created_dt": "2026-02-11T06:41:25.009Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:25.009Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.16.2 - 1.0

put /v1/data-flows/{data_flow_id}

Description

update data flow by flow id

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_id
required
Cluster ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s
stringNone
bodybody
required

DataFlowBodyUpdate

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/{data_flow_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "node_selector": ""
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "count_data_flow_service": "",
    "created_dt": "2026-02-11T06:41:24.680Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "description": "",
    "domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:24.680Z",
    "namespace_name": "",
    "node_selector": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url": ""
}

1.17 - UpdateDataFlowService

1.17.1 - 1.1

put /v1/data-flow-services/{data_flow_service_id}

Description

update dataflow service console

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServicesUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:24.837Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:24.837Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}

1.17.2 - 1.0

put /v1/data-flow-services/{data_flow_service_id}

Description

update dataflow service console

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_id
required
data_flow_service_id
Example :
stringNone
bodybody
required

DataFlowServicesUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDataFlowServiceUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "node_selector": "",
    "service_workload": {
        "nifi": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "nifi_registry": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "1",
            "version": "1.27.1"
        },
        "zookeeper": {
            "cpu": "2000",
            "memory": "1024",
            "replica": "3",
            "version": "3.9.2"
        }
    }
}

Example HTTP response

Response 202

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "cluster_name": "",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "created_dt": "2026-02-11T06:41:24.511Z",
    "data_flow_id": "",
    "data_flow_name": "",
    "data_flow_service_id": "",
    "data_flow_service_name": "",
    "description": "",
    "domain": "",
    "host_alias": {
        "enabled": "true",
        "host_alias_list": [
            {
                "hostname": "",
                "ip": ""
            }
        ]
    },
    "host_file_registry": "",
    "hosts_file": "",
    "http_port": "",
    "https_port": "",
    "image_id": "",
    "ingress_class_name": "",
    "instance_id": "",
    "modified_dt": "2026-02-11T06:41:24.511Z",
    "namespace_name": "",
    "node_selector": "",
    "service_workload": "",
    "state": "",
    "storage_class_name": "",
    "version": "",
    "web_url_nifi": "",
    "web_url_registry": ""
}

2 - Models

2.1 - ClusterResourceCheckResponse

NameDescriptionSchemaDefault
cpu
optional

Example : CPU
objectCPU
err_code
required
Error code
Example :
string
memory
optional

Example : Memory
objectMemory
result
required
Cluster resource check result
Example :
boolean

2.2 - DataFlowBodyCreate

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
data_flow_name
required
data_flow_name
Example :
Minimum length : 3
Maximum length : 30
string
description
optional
description
Example :
any of [string, null]
domain
required
domain
Example :
Minimum length : 3
Maximum length : 50
string
dsc_domain
optional
dsc_domain
Example :
any of [string, null]
host_alias_list
required
host_alias_list
Example : [{'hostnames': [''], 'ip': ''}]
array[object]
image_id
required
image_id
Example :
string
ingress_controller_name
required
ingress_controller_name
Example :
string
instance_id
optional
instance_id
Example :
any of [string, null]
node_selector
optional
node_selector
Example :
any of [string, null]
storage_class_name
required
storage_class_name
Example :
string
tags
optional
tags
array[Tag]

2.3 - DataFlowBodyUpdate

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
node_selector
optional
node_selector
Example :
any of [string, null]

2.4 - DataFlowCheckDuplicationResponse

NameDescriptionSchemaDefault
result
required
Data flow check result
Example :
boolean

2.5 - DataFlowDetailResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
count_data_flow_service
optional
count_data_flow_service
Example :
integer
created_dt
required
created_dt
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.6 - DataFlowDetailResponseV1Dot1

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
count_data_flow_service
optional
count_data_flow_service
Example :
integer
created_dt
required
created_dt
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.7 - DataFlowImageListResponse

NameDescriptionSchemaDefault
contents
required
List of DataFlowImage
array[DataFlowImageResponse]
total_count
optional
total_count
Example :
integer

2.8 - DataFlowImageResponse

NameDescriptionSchemaDefault
image_id
required
Image ID
Example :
string
image_name
required
Image name
Example :
string
version
required
Version
Example :
string

2.9 - DataFlowsConsoleResponse

NameDescriptionSchemaDefault
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
object
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
image_id
required
image_id
Example :
string
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
required
is_active_image
Example :
boolean
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
state
required
state
Example :
string
version
required
version
Example :
string

2.10 - DataFlowsConsoleResponseV1Dot1

NameDescriptionSchemaDefault
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
object
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
image_id
required
image_id
Example :
string
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
required
is_active_image
Example :
boolean
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
state
required
state
Example :
string
version
required
version
Example :
string

2.11 - DataFlowServiceCheckDuplicationResponse

NameDescriptionSchemaDefault
result
required
Data flow service check result
Example :
boolean

2.12 - DataFlowServiceCreateRequest

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
data_flow_id
required
data_flow_id
Example :
string
data_flow_service_name
required
data_flow_service_name
Example :
Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$
Minimum length : 3
Maximum length : 30
string
description
optional
description
Example :
any of [string, null]
domain
required
description
Example :
Minimum length : 3
Maximum length : 50
string
host_alias
required
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
object
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
required
service_workload
Example : {'nifi': {'cpu': '2000', 'memory': '1024', 'replica': '1', 'version': '1.27.1'}, 'nifi_registry': {'cpu': '2000', 'memory': '1024', 'replica': '1', 'version': '1.27.1'}, 'zookeeper': {'cpu': '2000', 'memory': '1024', 'replica': '3', 'version': '3.9.2'}}
object
storage_class_name
required
storage_class_name
Example :
string
tags
optional
tags
array[Tag]

2.13 - DataFlowServiceDetailResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
data_flow_service_id
required
data_flow_service_id
Example :
string
data_flow_service_name
required
data_flow_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
host_file_registry
optional
host_file_registry
Example :
any of [string, null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example :
any of [object, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url_nifi
optional
web_url_nifi
Example :
any of [string, null]
web_url_registry
optional
web_url_registry
Example :
any of [string, null]

2.14 - DataFlowServiceDetailResponseV1Dot1

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
data_flow_service_id
required
data_flow_service_id
Example :
string
data_flow_service_name
required
data_flow_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
host_file_registry
optional
host_file_registry
Example :
any of [string, null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
is_active_image
optional
is_active_image
Example :
any of [boolean, null]
modified_dt
required
modified_dt
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example :
any of [object, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url_nifi
optional
web_url_nifi
Example :
any of [string, null]
web_url_registry
optional
web_url_registry
Example :
any of [string, null]

2.15 - DataFlowServiceImageResponse

NameDescriptionSchemaDefault
data_flow_service_count
optional
DataFlowService count
Example :
integer
versions
optional
image versions
DataFlowServiceSubVersionResponse

2.16 - DataFlowServicesResponse

NameDescriptionSchemaDefault
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
data_flow_service_id
required
data_flow_service_id
Example :
string
data_flow_service_name
required
data_flow_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example :
string (date-time)
state
required
state
Example :
string
version
required
version
Example :
string

2.17 - DataFlowServicesResponseV1Dot1

NameDescriptionSchemaDefault
account_id
required
account_id
Example :
string
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_by
required
created_by
Example :
string
created_dt
required
created_at
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
data_flow_service_id
required
data_flow_service_id
Example :
string
data_flow_service_name
required
data_flow_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
modified_by
required
modified_by
Example :
string
modified_dt
required
modified_at
Example :
string (date-time)
state
required
state
Example :
string
version
required
version
Example :
string

2.18 - DataFlowServiceSubVersionResponse

NameDescriptionSchemaDefault
nifi
required
nifi
Example :
string
nifiregistry
required
nifiregistry
Example :
string
zookeeper
required
zookeeper
Example :
string

2.19 - DataFlowServicesUpdateRequest

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
object
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example : {'nifi': {'cpu': '2000', 'memory': '1024', 'replica': '1', 'version': '1.27.1'}, 'nifi_registry': {'cpu': '2000', 'memory': '1024', 'replica': '1', 'version': '1.27.1'}, 'zookeeper': {'cpu': '2000', 'memory': '1024', 'replica': '3', 'version': '3.9.2'}}
object

2.20 - DataFlowServiceUpdateResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
created_dt
required
created_dt
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
data_flow_service_id
required
data_flow_service_id
Example :
string
data_flow_service_name
required
data_flow_service_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias
optional
host_alias
Example : {'enabled': 'true', 'host_alias_list': [{'hostname': '', 'ip': ''}]}
any of [object, null]
host_file_registry
optional
host_file_registry
Example :
any of [string, null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
modified_dt
required
modified_dt
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
service_workload
optional
service_workload
Example :
any of [object, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url_nifi
optional
web_url_nifi
Example :
any of [string, null]
web_url_registry
optional
web_url_registry
Example :
any of [string, null]

2.21 - DataFlowServiceValidateResourceRequest

NameDescriptionSchemaDefault
service_workload
required
service_workload
Example : {'nifi': {'cpu': '2000', 'memory': '1024', 'replica': '1', 'version': '1.27.1'}, 'nifi_registry': {'cpu': '2000', 'memory': '1024', 'replica': '1', 'version': '1.27.1'}, 'zookeeper': {'cpu': '2000', 'memory': '1024', 'replica': '3', 'version': '3.9.2'}}
object

2.22 - DataFlowUpdateResponse

NameDescriptionSchemaDefault
account
optional
account
Example : {'account_id': '', 'account_password': ''}
any of [object, null]
cluster_id
required
cluster_id
Example :
string
cluster_name
optional
cluster_name
Example :
string
cluster_permission
optional
cluster_permission
Example :
any of [object, null]
cluster_request_failed
optional
cluster_request_failed
Example : False
boolean
count_data_flow_service
optional
count_data_flow_service
Example :
integer
created_dt
required
created_dt
Example :
string (date-time)
data_flow_id
required
data_flow_id
Example :
string
data_flow_name
required
data_flow_name
Example :
string
description
optional
description
Example :
any of [string, null]
domain
optional
domain
Example :
any of [string, null]
host_alias_list
optional
host_alias
Example : [{'hostnames': [''], 'ip': ''}]
any of [array[object], null]
hosts_file
optional
hosts_file
Example :
any of [string, null]
http_port
optional
http_port
Example :
any of [integer, null]
https_port
optional
https_port
Example :
any of [integer, null]
image_id
required
image_id
Example :
string
ingress_class_name
optional
ingress_class_name
Example :
any of [string, null]
instance_id
required
instance_id
Example :
any of [string, null]
modified_dt
required
modified_dt
Example :
string (date-time)
namespace_name
required
namespace_name
Example :
string
node_selector
optional
node_selector
Example :
any of [string, null]
state
required
state
Example :
string
storage_class_name
required
storage_class_name
Example :
string
version
required
version
Example :
string
web_url
optional
web_url
Example :
any of [string, null]

2.23 - ListDataFlowsConsoleResponse

NameDescriptionSchemaDefault
contents
optional
contents
array[DataFlowsConsoleResponse]
total_count
optional
total_count
Example :
integer

2.24 - ListDataFlowsConsoleResponseV1Dot1

NameDescriptionSchemaDefault
contents
optional
contents
array[DataFlowsConsoleResponseV1Dot1]
total_count
optional
total_count
Example :
integer

2.25 - ListDataFlowServicesConsoleResponse

NameDescriptionSchemaDefault
contents
optional

array[DataFlowServicesResponse]
total_count
required
total_count
Example :
integer

2.26 - ListDataFlowServicesConsoleResponseV1Dot1

NameDescriptionSchemaDefault
contents
optional

array[DataFlowServicesResponseV1Dot1]
total_count
required
total_count
Example :
integer

2.27 - Tag

NameDescriptionSchemaDefault
tag_key
required
tag_key
Example :
Pattern : ^[a-zA-Z0-9가-힣ㄱ-ㅎㅏ-ㅣ \+\-\=\.\_:/@]*$
Maximum length : 128
string
tag_value
optional
tag_value
Example :
Pattern : ^[a-zA-Z0-9가-힣ㄱ-ㅎㅏ-ㅣ \+\-\=\.\_:/@]*$
Maximum length : 256
string